"""
ACL format support (sort of) for filesystems that do not support anything
beyond the traditional Unix user-group-other permission model
"""

from com.ibm.amos.agent.db.rules import ACL
from com.ibm.amos.agent.db import PolicyConstants

def convertToArgs(result, acl):
    return ("none", )

def convertToACL(result, acl, args):
    acl.setSource(PolicyConstants.ACL_TYPE_NONE)
    pass

def compareACLs(result, a, b):
    return True

def convertFromTAMOS(result, currentFile, currentAcl, policyFile, policyAcl):
    acl = ACL()
    acl.setSource(PolicyConstants.ACL_TYPE_NONE)
    acl.setKey(policyAcl.getKey())
    
    result.actionWarning("The filesystem containing the file %s does not support ACLs.")
    return acl
